curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:21.945Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
"tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
"groupId": "drDwrQ",
"groupName": "Engineering Team",
"status": "ACTIVE",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"isSynced": false,
"parentGroups": [
{
"id": "0b683031-d306-4569-9286-67cf96c00f69",
"groupName": "Engineering Team",
"displayName": "Engineering Department",
"tenantGroupTypeId": "e276936a-6310-4822-bfca-7241395d43fe"
}
],
"childGroups": [
{
"id": "ebb47eef-dc8d-4fe3-af2d-a1a9677d28eb",
"groupName": "Engineering Team",
"displayName": "Engineering Department",
"tenantGroupTypeId": "ae0b0089-712d-4c50-906c-c6f59ed72e50"
}
],
"decisions": 0,
"delegations": 0,
"baseCurrency": "",
"displayName": "Engineering Department",
"legalName": "Engineering Department LLC",
"externalId": "EXT-GROUP-12345",
"instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
"address": {
"id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
"groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
"street1": "123 Main Street",
"city": "New York",
"state": "New York",
"zipCode": "10001",
"country": "United States",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"street2": "Suite 100",
"stateCode": "NY",
"countryCode": "US"
},
"tenantGroupTypeId": "c123da00-0182-4a43-8762-cfd950af6e45",
"tenantGroupTypeName": "Department"
}
]
}
}List groups
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/settings/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/settings/v1/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/settings/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/settings/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:21.945Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
"tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
"groupId": "drDwrQ",
"groupName": "Engineering Team",
"status": "ACTIVE",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"isSynced": false,
"parentGroups": [
{
"id": "0b683031-d306-4569-9286-67cf96c00f69",
"groupName": "Engineering Team",
"displayName": "Engineering Department",
"tenantGroupTypeId": "e276936a-6310-4822-bfca-7241395d43fe"
}
],
"childGroups": [
{
"id": "ebb47eef-dc8d-4fe3-af2d-a1a9677d28eb",
"groupName": "Engineering Team",
"displayName": "Engineering Department",
"tenantGroupTypeId": "ae0b0089-712d-4c50-906c-c6f59ed72e50"
}
],
"decisions": 0,
"delegations": 0,
"baseCurrency": "",
"displayName": "Engineering Department",
"legalName": "Engineering Department LLC",
"externalId": "EXT-GROUP-12345",
"instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
"address": {
"id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
"groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
"street1": "123 Main Street",
"city": "New York",
"state": "New York",
"zipCode": "10001",
"country": "United States",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"street2": "Suite 100",
"stateCode": "NY",
"countryCode": "US"
},
"tenantGroupTypeId": "c123da00-0182-4a43-8762-cfd950af6e45",
"tenantGroupTypeName": "Department"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Tenant ID
"51e9fc27-a398-403d-bf5a-15cd2ee975ae"
Search in group name and group ID
"Engineering"
Tenant Group Type IDs (comma-separated)
"07931d79-8658-4833-bca0-43dbcc79cbfb"
Parent Group ID to filter child groups
"aa4f845a-6695-4d3d-91e0-6e2e645f76bf"
Comma-separated list of source filters
"SCIM,MANUAL,ALL"
Comma separated specific Group fields needed in response
""
Comma-separated list of statuses to filter by
"ACTIVE,INACTIVE"
Creation date range - start date
Creation date range - end date
Last updated date range - start date
Last updated date range - end date
Criteria for sorting Groups
groupId, groupName, displayName, status, createdOn, updatedOn, isSynced, tenantGroupType "groupName"
Order for sorting Groups
asc, desc "asc"
Was this page helpful?